package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import org.zkoss.zul.Paging;

import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;
import com.rjconsultores.ventaboletos.web.utilerias.MyTextbox;
import com.rjconsultores.ventaboletos.web.utilerias.paginacion.HibernateSearchObject;

public class PagedListPuntoVenta extends PagedListGenerico<PuntoVenta> {
	
	public PagedListPuntoVenta(MyListbox listBox, MyTextbox txtPesquisa, Paging paging) {
		super(listBox, txtPesquisa, paging);
		super.setHibernateSearchObject(new HibernateSearchObject<PuntoVenta>(PuntoVenta.class, getPaging().getPageSize()));
	}

	@Override
	protected void personalizarBusca() {
		HibernateSearchObject<PuntoVenta> puntoVentaBusqueda = getHibernateSearchObject();
		puntoVentaBusqueda.addFilterILike("nombpuntoventa", "%" + getTxtPesquisa().getValue() + "%");
		puntoVentaBusqueda.addFilterEqual("activo", true);
		puntoVentaBusqueda.addFilterNotEqual("puntoventaId", -1);
		puntoVentaBusqueda.addSortAsc("nombpuntoventa");
	}
}
